README_tests (in sub-directory initex)                  last mods: 2000/11/23
============
The following files are given in order:
 A) to verify TeX hyphenation on 500 french words.
 B) to provide a sample for testing your keyboard.
These tests have to be used after installation i.e. creation of the format
file.

These files were fully tested using MlTeX/TeX V3 with EC or CM fonts. 

Here are the corresponding files for part A:
===========================================
EC.def        an internal file, for input encoding just like EC.
TSIv5n4.tex   500 words hyphenated (Desarmenien's reference)
              This is a 7-bit file to transform to your 8-bit keyboard-screen.
 gencoup.tex  to hyphenate these words with TeX at your site (log file)
lgencoup.tex  "      "      "      "    "  LaTeX  "    "       "
 tstcoup.tex  to read the log file produced with TeX & compare with ideal list
ltstcoup.tex  "      "      "      "    "  LaTeX  "    "       "       " 
 testhyp      a shell script to do this with TeX
ltesthyp      "      "      "      "    "  LaTeX 

Operation:
 - convert TSIv5n4.tex to 8-bit accordingly to your own keyboard (use kb7to8 !)
 - run the l/testhyp procedure to look if your installation is ok at
   the hyphenation level. Any system with TeX-only i.e. without Multi-lingual
   modifications or without 8-bit fonts can't be called a french system and
   this test would be a non-sense.
   This script gives normally 0 bad hyphenated words with MlTeX+CM 
   or TeX+EC fonts. No difference should occur.

Here are the corresponding files for part B:
===========================================
kbtest.tex    the test code (8-bit file) to be adapted to your keyboard.

Operation:
 - update this file accordingly to your own keyboard and run it with your
   TeX engine. You will obtain a print sheet with a comparison of 7-bit and
   8-bit inputs.

Hope it helps,
                  Bernard GAULLE                     first issue 2000/11/23

Here is a directory listing at the time of distribution:
                                (The number of bytes of this README may differ)
%%>============================================================================
total 200
-rw-r--r--   1 bernard  bernard   3888 Jun 28 15:09 EC.def
-r--r--r--   1 bernard  bernard   3214 Jun 28 15:57 README
-rw-r--r--   1 bernard  bernard  20860 Jun 28 15:22 README_tests.pdf
-rw-r--r--   1 bernard  bernard   8155 Jun 28 15:22 TSIv5n4.tex
-rw-r--r--   1 bernard  bernard   4320 Jun 28 15:22 gencoup.tex
-rw-r--r--   1 bernard  bernard  22955 Jun 28 15:22 kbtest.tex
-rw-r--r--   1 bernard  bernard    828 Jun 28 15:22 lgencoup.tex
lrwxr-xr-x   1 root     bernard      6 Jun 24 18:57 link_to_README -> README
-rw-r--r--   1 bernard  bernard    836 Jun 28 15:22 ltesthyp
-rw-r--r--   1 bernard  bernard    853 Jun 28 15:22 ltstcoup.tex
-rw-r--r--   1 bernard  bernard    799 Jun 28 15:22 testhyp
-rw-r--r--   1 bernard  bernard   5425 Jun 28 15:22 tstcoup.tex
%%<============================================================================
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%%      checksum        = "52817 65 435 3214"
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
